Delete monitor
Delete a monitor by ID.
DELETE
Delete monitor
DELETE /api/v1/monitors/:id
Permanently delete a monitor.Permanently delete a monitor. Historical events are retained.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Delete a monitor by ID.
curl --request DELETE \
--url https://developer.thehog.ai/api/v1/monitors/{id} \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}Permanently delete a monitor.Permanently delete a monitor. Historical events are retained.
curl -X DELETE https://developer.thehog.ai/api/v1/monitors/mon_01HZXYZ \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx"
curl --request DELETE \
--url https://developer.thehog.ai/api/v1/monitors/{id} \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}